Last Comment Bug 41977 - UI defaults with download_on_biff ON, biff OFF. UI work needed.
: UI defaults with download_on_biff ON, biff OFF. UI work needed.
Status: VERIFIED DUPLICATE of bug 63992
[nsbeta1+]
: polish
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: P2 normal (vote)
: mozilla0.9
Assigned To: racham
: Sheela Ravindran
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-08 17:24 PDT by laurel
Modified: 2004-11-22 17:25 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description laurel 2000-06-08 17:24:34 PDT
Using 2000-06-08 m17 commercial build

UI issue needs to be resolved concerning the pref in Account Settings Server
(POP only?) panel for download_on_biff (automatically download new messages).
This pref is directly related to mail notification (biff).

A new 6.0 profile/account server panel has the main biff pref default state as
disabled, but the download_on_biff pref enabled. This should not be.

The download_on_biff option should be tied to the biff pref.  UI handling in 4.x
varied among the different platforms.

1.  Create a new POP profile or new POP account.
2.  From mail window, Edit|Account Settings.  Select the account/Server panel
for the new POP account.
3.  Notice the default state for "Check for new messages every N minutes" is
disabled.  Notice the default state for "Automatically download any new
messages" is enabled.

Win32 4.x solution was to dim/grey the download new messages option regardless
of its enabled state if the main biff pref was disabled.
Comment 1 laurel 2000-06-08 17:27:57 PDT
cc jglick for any ui/spec relevant input
Comment 2 jglick 2000-06-09 09:18:59 PDT
"Automatically download any new messages" is a sub widget of "Check for new 
messages every X minutes" and hence should only be enabled if its parent 
widget is enabled/check.  Otherwise, it should be disabled/grey. 

I'll made a note in the spec. 
Comment 3 scottputterman 2000-06-18 17:22:39 PDT
moving to M18 as polish.
Comment 4 sol 2000-07-20 11:10:35 PDT
Added "nsbeta3" and "correctness" keywords.
Comment 5 lchiang 2000-07-27 15:20:57 PDT
nsbeta3- per mail triage review. Assuming that biff is off regardless of what 
download on biff setting is.
Comment 6 laurel 2000-07-27 15:56:40 PDT
To answer Lisa's assumption, yes, the last time I checked (awhile ago), biff was
indeed enabled even though the sub-option showed as enabled in ui.  Correct biff
behavior, bad visual display in prefs.
Comment 7 scottputterman 2000-12-13 17:03:36 PST
marking nsbeta1+
Comment 8 scottputterman 2000-12-21 09:12:58 PST
moving to mozilla0.8 milestone.
Comment 9 scottputterman 2001-01-09 23:15:12 PST
reassigning to racham.
Comment 10 Matthew Paul Thomas 2001-01-10 19:03:35 PST
Hakan, did you file a dup of this earlier?
Comment 11 Håkan Waara 2001-01-11 05:05:39 PST
I'm not sure. But the bug *is* however in some way related to my fix in bug
63992. Please check it out and reopen if needed.
Comment 12 scottputterman 2001-01-15 20:40:43 PST
moving to mozilla0.9
Comment 13 fenella 2001-01-30 15:17:48 PST
Assign it to Sheelar
Comment 14 scottputterman 2001-02-13 00:19:40 PST
this looks like a dup since the bug is fixed now.  

*** This bug has been marked as a duplicate of 63992 ***
Comment 15 Sheela Ravindran 2001-02-16 15:48:04 PST
verifying as dup

Note You need to log in before you can comment on or make changes to this bug.